unit flvplayerfrm;

interface

uses
  {$IFNDEF FPC}Windows, xpman, jpeg, {$ELSE}LResources, {$ENDIF}SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, fe_flashplayer, ExtCtrls, Buttons, StdCtrls, ComCtrls;

type
  TForm5 = class(TForm)
    feFlashPlayer1: TfeFlashPlayer;
    Image1: TImage;
    SpeedButton1: TSpeedButton;
    OpenDialog1: TOpenDialog;
    Label1: TLabel;
    ComboBox1: TComboBox;
    feFlashList1: TfeFlashList;
    Label2: TLabel;
    ComboBox2: TComboBox;
    CheckBox1: TCheckBox;
    Label3: TLabel;
    btnStop: TSpeedButton;
    TrackBar1: TTrackBar;
    SpeedButton2: TSpeedButton;
    procedure FormPaint(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form5: TForm5;

implementation

{$R *.dfm}

procedure TForm5.FormPaint(Sender: TObject);
begin
  Canvas.Draw(0, 0, Image1.Picture.Graphic);
end;

procedure TForm5.SpeedButton1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    feFlashPlayer1.Movie := OpenDialog1.FileName;
  end;
end;

procedure TForm5.FormCreate(Sender: TObject);
var
  i: integer;
begin
  ComboBox1.Items.Clear;
  for i := 0 to feFlashList1.Flashs.Count - 1 do
    ComboBox1.Items.Add(feFlashList1.Flashs[i].FlashStore);
end;

procedure TForm5.ComboBox1Change(Sender: TObject);
begin
  feFlashPlayer1.Movie := ComboBox1.Text;
end;

procedure TForm5.ComboBox2Change(Sender: TObject);
begin
  feFlashPlayer1.Skin := ComboBox2.Text;
end;

procedure TForm5.CheckBox1Click(Sender: TObject);
begin
  feFlashPlayer1.Transparent := CheckBox1.Checked;
end;

procedure TForm5.btnStopClick(Sender: TObject);
begin
  if btnStop.Tag = 0 then
  begin
    feFlashPlayer1.Pause := true;
    btnStop.Tag := 1;
  end
  else
  begin
    feFlashPlayer1.Pause := false;
    btnStop.Tag := 0;
  end;
end;

procedure TForm5.TrackBar1Change(Sender: TObject);
begin
  feFlashPlayer1.Volume := TrackBar1.Position;
end;

procedure TForm5.SpeedButton2Click(Sender: TObject);
begin
  Caption := 'Total time: ' + feFlashPlayer1.GetVariable('flv.totalTime');
end;

end.
